#define DEFAULT_DEVICE		"/dev/hctl"
#define AUTHOR_STR		"Ch'Gans"
#define AUTHOR_EMAIL_STR	"<chgans@tuxfamily.org>"
#define DEFAULT_CLOCK_FREQ	2

#define __STR(arg) #arg
#define STR(arg) __STR(arg)

#define ERROR(fmt,args...)			\
{						\
  printf("*** ERROR in %s@%d: %s():\n" fmt,	\
          __FILE__,				\
          __LINE__,				\
          __FUNCTION__,				\
          ## args);				\
}

#define WARNING(fmt,args...)			\
{						\
  printf("*** WARNING in %s@%d: %s():\n" fmt,	\
          __FILE__,				\
          __LINE__,				\
          __FUNCTION__,				\
          ## args);				\
}



const char *bug_address =	AUTHOR_EMAIL_STR;
const char *author =		AUTHOR_STR;
